Change history

The table below summarizes updates to this documentation, including API changes and bug fixes:

DateChangeTicket Number
6/25/2026🚧(Coming soon) Added PLN to the list of Tango account supported currencies. See supported currencies forCurrencyCode in Create an account under a specific customer.
05/07/2026Added MXN and SGD to the list of Tango account supported currencies. See supported currencies forCurrencyCode in Create an account under a specific customer.RODOC-209
05/05/2026Added shippingMethod as a line items parameter. shippingMethod is a string enum that is required when deliveryMethod is ADDRESS or BULKSHIPMENT. See Create async orders.CODOR-1243
05/04/2026🚧(Coming soon) Tango now supports WhatsApp as a channel for resending rewards. See Resend a specific order.RODOC-144
04/01/2006Added a new RETURNED status to the RewardStatus webhook event for PayPal/Venmo rewards that are returned to the issuer due to a transfer failure, delivery issue, or recipient rejection. See statuses in RewardStatus.INCCO-93
03/20/2026🚧(Coming soon) Added support for the ExchangeRatesProcessed financial webhook event, enabling the system to remain synchronized with updates to exchange rate data. . See Financial category event.CODOR-669
02/18/2026🚧(Coming soon) Added POST /asyncOrders/{referenceOrderID}/freeze to freeze all eligible rewards in an order by specifying a referenceOrderID and a required reason code. An OrderActionStatus webhook summarizes the unfreeze results. See Freeze async orders.CODOR-932
02/17/2026Added the new EMBEDDED_COMPONENT delivery method for an embedded prepaid card experience via the API without changing existing delivery flows. You can view, activate, and manage an open‑loop prepaid card directly within your application, without redirecting, using secure authentication via Tango’s API. See Get embedded component.RODOC-71
02/11/2026🐞Fixed a bug for AsyncOrderStatus webhook payload to use externalRefID instead of externalReferenceId for consistency with the Orders POST and GET responses. See AsyncOrderStatus events.CODOR-1037
02/09/2026Enhanced POST {URI}/webhooks to support HMAC-based authentication in addition to the existing RSA certificate method. See Create signing certificate and HMAC secret.CODOR-1004
02/09/2026Added a new payloadVerificationMethod field to GET {URI}/webhooks/{webhookId} payload response to indicate which verification method (HMAC, X509, or none) is configured for the webhook subscription. See Get a specific webhook subscription.CODOR-1009
02/09/2026Changed behavior for the GET {URI}/asyncOrders endpoint to only return successfully processed async orders. Failed orders are intentionally excluded and must be queried individually by externalRefID. See Get a list of async orders.CODOR-1064
02/06/2026🚧(Coming soon) Added POST /asyncOrders/{referenceOrderID}/unfreeze to unfreeze all eligible rewards in an order by specifying a referenceOrderID and a required reason code. An OrderActionStatus webhook summarizes the unfreeze results. See Unfreeze async orders.CODOR-933
02/04/2026Added validation to POST {URI}/asyncOrders to restrict quantity ordering for unsupported delivery methods (BULKDIGITAL, BULKSHIPMENT) following the shopping cart release. See Create async orders.CODOR-939
01/22/2026Added the logic to ensure that theexternalRefID is carried forward to the new line item when a reward is reissued usingPOST {URI}/lineItems/{referenceLineItemID}/reissue. This enhancement applies to both single orders and async orders. See External Ref Id in Reissue line items.CODOR-217
01/14/2026Revised the validation rules for the recipient object in async orders to "Optional" when deliveryMethodis NONE and EMBEDDED. This rule replaces the previous behavior where recipient object was required for both. See Create async orders.CODOR-945
01/14/2026🚧( Coming soon) Added a webhook event to track updates on actions taken on an order, such as freezing, unfreezing, or canceling all eligible rewards asynchronously. See Order actions status in supported webhook events.CODOR-931
01/14/2026🚧( Coming soon) Added POST {URI}/asyncOrders/{referenceLineItemID}/cancel to allow Tango API users to cancel all eligible rewards within a given order by specifying a referenceOrderID and a required reason code. See Cancel async orders.CODOR-931
01/12/2026Added hasRemainingBalance query parameterto GET {URI}/lineItems to filter the line items by their remaining balance or by a specified minimum and maximum value. See Get line items.CODOR-929
12/05/2025Added a new rewardViewHistory array to the GET /lineItems/{referenceLineItemID} response to see when a reward was viewed, understand the new feature and how to utilize it in your API interactions. See Reward view history.CODOR-901
12/10/2025🐞Fixed a bug where the 200 example payload for GET {URI}/lineItem/referenceLineItemID did not match the actual payload.CODOR-902
12/3/2025🐞Fixed a bug where the Freeze action did not unfreeze rewards after 48 hours as expected.CODOR-846
11/18/2025Enhanced the reward status webhook event payload. AddeddeliveryStatus, RESEND (new action type), and reason details (reasonCode and reason) to the payload. See how you can track Delivery status under Reward category events.CODOR-722
11/13/2025Enhanced the GET {URI}/lineItems/{referenceLineItemID} endpoint to include remainingBalance in the response payload. See Get details for a specific line item.CODOR-721
11/12/2025Corrected the example payload of a successful response when you use the GET {URI}/lineItems/{referenceLineItemID}/embeddedUrl endpoint to get the embedded URL. See how to Get embedded URL.CODOR-807
10/23/2025Added validation logic to the POST {URI}/asyncOrders endpoint to prevent duplicate externalRefID usage, therefore, avoiding duplicate order submissions. See Create async orders.CODOR-472
10/23/2025
  • Added referenceLineItemID to the POST /orders return payload to uniquely identify a reward transaction or line item within an order. See Reference line item ID and how to Create an order under a specific account.
  • Added referenceOrderID in GET {URI}/orders/{referenceOrderID} to identify the order better when retrieving it. If an order has more than one line item, the API returns the referenceLineItemID for the first line item (lineNumber == 1). See Get details for a specific order.
CODOR-732
10/20/2025For asynchronous orders, the return payload displays the total amount charged at the order level, making it easier to determine the total amount charged without summing the paginated line items. See return payload in Get a list of async orders , Get async orders status, and Get async line item details.CODOR-419
10/16/2025Added logic so that the template ID (ETID) is optional for email and mobile orders. In POST {URI}/asyncOrders if ETID is not provided, the system uses the default ETID configured in the following order: account, group, or platform level. If no default ETID is found, the standard template ID (E000000) is used. See Create async orders.CODOR-455
10/16/2025Added the following query parameters to GET async orders and GET async line items for better filtering: externalLineItemReferenceIds, referenceLineItemIds, and failedOnly. See Get async order status and Get async line item details.CODOR-697
10/10/2025Added mobile delivery parameters in the orders response payload for both POST and GET requests to track delivery details across all delivery methods. See Get a list of orders, Create an order, and Get details for a specific order.CODOR-262
10/10/2025Implemented logic in line item reissue to ensure that mobile (PHONE) delivery is only allowed if the mobile delivery feature is enabled for the account. If a mobile delivery is requested and the feature is disabled, an error will be thrown. The change is expected to benefit both the portal and the API. See Reissue line items.CODOR-335
10/10/2025Updated POST {URI}/lineItems/{referenceLineItemID}/reissue to support switching delivery methods between EMAIL and PHONE. If no delivery method is provided, the original order's delivery method will be used. See Reissue line items.CODOR-277
10/08/2025Added the ability to query orders using deliveryMethod . This will return all orders where the deliveryMethod is PHONE, EMAIL, etc. See Get a list of orders placed on this platform.CODOR-252
10/08/2025Added parameters in the line items response payload to track delivery details for rewards sent via mobile delivery. See the return payload in Get line items.CODOR-279
10/08/2025Implemented GET {URL}/asyncOrders to retrieve all asynchronous orders with support for filtering, pagination, and order data. See Get a list of async ordersCODOR-371
10/08/2025Added "Reason" list to the line items for resending rewards. The list includes: NOT_RECEIVED, LOST_DELETED, DELIVERY_INFO, DELIVERY_METHOD, REMINDER, and OTHER. See Get all reason codes.CODOR-521
10/08/2025Added PATCH to asynchronous orders to modify order metadata details such as Purchase Order Number, Campaign, and Order Notes. See update async orders.CODOR-441
10/08/2025Modified the asyncOrderStatus webhook event to include the following identifiers in the payload response: customerIdentifier, accountIdentifier, and referenceOrderID. See Asynchronous order status.CODOR-444
10/08/2025Added a new POST {URI}/asyncOrders endpoint for asynchronous orders to create a multi-line item order. See Create async orders.CODOR-363
10/08/2025Created the GET {URI}/asyncOrders endpoint to retrieve all asynchronous orders placed on your platform with robust filtering and pagination capabilities. See Get a list of async orders.CODOR-433
10/8/2025Enabled API to reissue a line item by introducing POST {URI}/lineItems/{referenceLineItemID}/reissue. See Reissue line items.CODOR-134
10/8/2025Added Tango API webhook notification for account transactions, which helps automate tracking of fund movements. See Transactions under supported webhooks.CODOR-90
10/8/2025Enhance the Tango API by including resend delivery history in the line items payload response, allowing users to track reward resends. See Get details for a specific line item.CODOR-210
10/01/2025Fixed the line-item resend to use the original delivery method if no other method is specified. See Resend line items.CODOR-710
09/17/2025Update our API reference to include error messages for mobile delivery when POST {URI}/orders. See Create an order under a specific account and Response classes .CODOR-332
08/05/2025Added new query parameters to filter or search orders by deliveryStatus, deliveryMethod, and recipientMobileNumber. See Get line items.API-606
07/28/2025Enhanced the line items resend: POST {URI}/lineItems/{referenceLineItemId}/resendsto include the reason code as the body parameter when resending a reward. See Resend a line item.API-663
07/23/2025Added externalRefID to the RewardStatus event payload to match the event with your original request and improve tracking across your systems. See RewardStatus events payload.API-700
07/17/2025Added the ability to get a list of low balance alerts via GET {URI}/customers/{customerIdentifier}/accounts/{accountIdentifier}/lowbalance. This endpoint helps improve the management of low-balance alerts via the API. See Get low balance alerts.CODOR-89
07/14/2025Added the ability to update the low balance alerts via PATCH /customers/{customerIdentifier}/accounts/{accountIdentifier}/ lowbalance/{balanceAlertID} endpoint. This endpoint helps improve the management of low-balance alerts via the API. See how you can Update low balance alerts.API_659
07/10/2025Enforced validation of delivery methods based on UTID attributes. The embedded endpoint should work for all UTIDs that have the attribute “EMBEDDED”, not just those previously checked as LPE. See Get embedded URL.CODOR-65
07/10/2025Enforced validation of delivery methods based on delivery attributes associated with the reward UTID. Each UTID is linked to a set of eligible delivery methods. A UTID is eligible for PHONE delivery if its attribute includes PHONE. The system will reject the resend for deliveryMethod=ADDRESS, if ADDRESS is not among the UTID's eligible delivery methods.API-627
07/07/2025Added the ability to retrieve a list of low balance alerts for a customer account by calling GET /customers/{customerIdentifier}/accounts/{accountIdentifier}/ lowbalance endpoint. This enhancement improves the monitoring and management of account balances through the API. See View low balance alerts.API-660
07/07/2025Introduced the APICredentials webhook event under PLATFORM category to notify users when the API credentials are created, viewed, updated, or deleted. This improves the security and real-time monitoring of the API. See Platform category events.API-539
07/01/2025Added the ability to search the catalog for a specific attribute. See Get all items in the platform catalog.API-665
07/01/2025Enhanced the order processing logic: previously, the system determined if an order was for physical delivery based on the presence of a recipient address. The new logic requires the API to use the deliveryMethod field instead. See POST orders for when you create an order.API-653
06/27/2025Enhanced the "campaign" field to accept any character (including special characters), similar to the NOTES and MESSAGE fields. The field length is set to 1024 characters. See Orders and Line Items .API-651
6/27/2025Added smsMessageBody to POST {URI}/digitalTemplates and PATCH {URI}/digitalTemplates/{etid} endpoints to be able to create an SMS message body for PHONE delivery as an option. See Create a new digital template and Update details for a specific digital template.API-614
6/26/2025Added a new endpoint to retrieve specific low balance alerts by ID: GET {URI}/customers/{customerIdentifier}/accounts/{accountIdentifier}/ lowbalance/{balanceAlertID}. See View details of a low balance alert.API-661
6/24/2025Created the ability to delete a specific low balance alert via the API by using DELETE {URI}/customers/{customerIdentifier}/accounts/{accountIdentifier}/ lowbalance/{balanceAlertID}. See Delete low balance alerts.API-662
6/23/2025Updated the campaign field to "string" with the maximum length of 1024 characters with no restrictions. See Update line item parameters.API-678
06/09/2025Created the ability to set a low balance alertAPI-654
05/14/2025Added service account (username and password) as an additional security level to the OAuth connection. As of May 14, 2025, the Tango API will require a client ID, a client secret, a service account username, and a service account password to generate an access token via OAuth. See Use OAuth for more secure connection.
05/13/2025Added the option to receive alerts when an account balance drops below a predefined threshold. See Low balance under Account category events.API-329
05/07/2025Added the option to receive a webhook notification when funds are added, removed, or transferred to or from your Tango account. See Transaction under Account category events.API-328
05/07/2025Added rewardType query parameter to GET {URI}/catalogs to enhance querying flexibility for users who access the Tango catalog. See Get all items in the platform catalog.API-573
05/07/2025Added a new endpoint to webhooks to list all event types offered in the system for subscription. See the new GET {URI}/webhooks/eventtypes in Get all subscription event types.API-271
05/01/2025Updated recipient's physical address fields to include new characters such as &, %, #, @ in the POST {URI}/orders. See Create an order under a specific account.API-437
05/07/2025Added rewardType query parameter to GET {URI}/catalogs to enhance the catalog search. See Get all items in the platform catalog.API-573
05/07/2025UpdatedPOST {URI}/orders/{referenceOrderID}/resends to allow resending a specific order using mobile delivery. Some rules apply. See Resend a specific order.CODOR-268
05/07/2025Added the ability to deliver rewards via PHONE by adding deliveryMethod to POST {URI}/orders. See Create an order under a specific account.API-565
05/07/2025Added PHONE parameter to GET {URI}/orders payload to include deliveryMethod , recipientMobileNumber , and deliveryStatus in the payload. This change improves the flexibility and options for order delivery. See Get a list of orders placed on this platform.API-562
05/07/2025Added PHONE parameters to GET {URI}/lineItems payload to include deliveryMethod , recipientMobileNumber , and deliveryStatus in the payload. This change enhances the delivery options available to users and retrieves and filters the information about all line items ordered on the platform. See Get line items.API-563
04/30/2025Added externalRefID to the POST {URI}/creditCardDeposits endpoint as an idempotent key support for funding cross-reference and to prevent accidental funding duplication. See Fund an account.API-347
04/30/2025Added a body parameter: externalRefID to POST {URI}/transferFunds endpoint for funding cross-reference and to prevent accidental funding duplication. See Transfer funds.API-389
04/17/2025Added RewardStatus event type under Reward category in supported webhooks that sends notifications every time a reward status is changed. See Reward status.API-540
03/27/2025Emojis are not accepted for displayName or any text entry. See POST {URI}/customers in Create a new customer and POST {URI}/customers/{customerIdentifier}/accounts in Create an account under a specific customer.CODOR-59
03/26/2025Added the new terminology for product release. See Release terminology in our Glossary.
03/26/2025Added Line item delivery status for physical gift cards.
03/18/2025Added i18nkey codes and their error messages to provide more specific error codes.API-542
03/03/2025We now accept Australian dollars (AUD) for Global Choice Link. To create an AUD account, see POST {URI}/customers/{customerIdentifier}/accounts. Other accepted currencies are CAD, EUR, GBP, or USD.API-519
26/02/2025Updated i18nKey responses to provide more specific error messages to Tango API users in order to get a clear, helpful feedback when something isn’t working. See i18nkey codes and their error messages.CODOR-462
02/21/2025Changed "Get line item" to Get details for a specific line item.API-532
02/21/2025Included error responses for Choice Products endpoints. See Manage Choice products endpoints.API-482
02/21/2025Included error responses for Credential Types endpoints. See Get credential types.API-481
02/21/2025Included error responses for Exchange Rates endpoints. See Get exchange rates.API-480
07/03/2025Changed emailTemplates to digitalTemplates endpoints.CODOR-467
02/21/2025Included error responses for Digital Templates endpoints. See Manage digital templates endpoints.API-479
02/21/2025Included error responses for Orders endpoints. See Manage Orders endpoints.API-477
02/21/2025Included error responses for Catalog endpoints. See Get all items in the platform catalog.API-476
02/21/2025Included error responses for Fund endpoints. See Manage funds endpoints.API-474
02/18/2025Added a list of reasons for freeze, unfreeze, cancel, and reissue line items. Use GET {URI}/lineItems/reasonCodes to get the reason codes. See Get all reason codes.API-506
02/18/2025Added pagination to the list of customers when you use GET {URI}/customers. with this query parameter, you can receive a paginated payload helping you manage the results more effectively. See Get a list of all customers.API-214
02/18/2025Added pagination to the list of credit cards when you use GET {URI}/creditCards. with this query parameter, you can receive a paginated payload helping you manage the results more effectively. See List all credit cards registered on this platform.API-218
02/18/2025Added the ability to update line item parameters (purchase order number, campaign, and order notes) using PATCH /lineItems/ {referenceLineItemID}.API-451
02/18/2025Added query parameters to GET {URI}/customers. Filter by items such as display name, status, account number, and more. See Get a list of all customers .API-213
02/18/2025Added capabilities to freeze, unfreeze, cancel, and reissue line items: -To cancel, callPOST /lineItems/{referenceLineItemID}/cancel. -To freeze, call POST /lineItems/{referenceLineItemID}/freeze. -To unfreeze, call POST /lineItems/{referenceLineItemID}/unfreeze. -To reissue, call POST /lineItems/{referenceLineItemID}/reissue.API-462 API-463 API-464 API-508
02/12/2025Created the GET {URI}/lineItems/reasonCodes endpoint to return a list of reasons for each action: freeze , unfreeze , cancel , and reissue . See Get all reason codes.CODOR-182
12/3/2024IncludedrewardStatus in the payload of GET {URI}/lineItems to indicates whether a reward is frozen or active.API-422
12/3/2024IncludedisExpirable in the payload of GET {URI}/choiceProducts/{choiceProductUtid}/catalog and GET {URI}/catalogs to indicate whether or not the gift card has a expiry date. isExpirable is a boolean with true or false value.API-224
10/16/2024Updated OAuth 2.0 with a note: "When you deactivate a client credential, all active tokens for this client will become invalid and your integration will be broken. Deactivation cannot be reversed." OAuth 2.0 is currently on a limited release.
9/30/2024Added account statuses such as Active, Inactive, etc. to the webhook event: AccountStatus.
8/15/2024Deprecated credentials and added a note to use credentialList instead.
4/8/2024Added a new endpoint to filter your catalog for your recipients based on country and currency . Use the GET /rewardCountries endpoint to determine the preferred currency.API-373
3/25/2024Added a new parameter to use with POST {URI}/orders/{referenceOrderID}/resends for when you are resending an order .
3/15/2024Improved the results of GET {URI}/accounts by adding more query parameters .API-211
2/20/2024Added ability to categorize each brand into industry-standard categories within the Tango catalog and group/filter the brand in your custom catalog display. See categoryIds .API-241
2/13/2024Added fundingNotification body parameter to POST {URI}/customers/{customerIdentifier}/accounts endpoint to be able to add 1 to 5 email addresses to your account when crating an account. See Create an account under a specific customer. Added fundingNotification body parameter to PATCH {URI}/customers/{customerIdentifier}/accounts/{accountIdentifier} endpoint to be able to add 1 to 5 email addresses to your account when updating an account. SeeUpdate an account under a specific customer .API-334
2/8/2024Improved the results of GET {URI}/creditCards by adding optional query parameters under funding account .API-345
2/8/2024Added currency type. Use the currencyCode body parameter with POST {URI}/customers/{customerIdentifier}/accounts to be able to create an account for a specific customer in any of these supported currencies: CAD, EUR, GBP, and USD. See Create an account under a specific customer.API-338
1/29/2024Added the ability to transfer funds from one account to another account of the same currency using GET {URI}/transferFunds.API-240
10/23/2023Added GET /webhooks/{webhookId}/events?fromRevision={fromRevision}&toRevision={toRevision}&maxResultsint32={maxResultsint32} to receive all past event notifications up to three months. This feature is available in limited release, contact your Customer Success Manager (CSM) or [email protected] for more information.API-269
10/17/2023Added POST /webhooks/{webhookId}/replay?fromRevision={fromRevision}&toRevision={toRevision} to redeliver past webhook event notifications up to Three months. Notifications older than three months are not retrievable. This feature is available in limited release, contact your Customer Success Manager (CSM) or [email protected] for more information.API-270
10/12/2023Added GET {URI}/choiceProducts/{choiceProductUtid}/catalog to get the content of a Tango Choice catalog. You must have access to the Catalog to see the content.API-293
10/12/2023You can get all available Choice Products in your Tango catalog using GET {URI}/choiceProducts to returns utid.API-294
10/12/2023Added GET {URI}/choiceProducts/{utid} to return the details for a specific Choice Product on your Tango platform.API-313
10/11/2023Added the ability to set a specific expiration date, such as 12/31/24, for a Promo Link at the time of order with Tango API instead of setting the expiration date as x days from the time of issuance. See the Promo Link acceptance criteria .API-320
10/7/2023Categories have a Universal Unique Identifier (UUID). You can filter a catalog by category using GET {URI}//brandCategories.API-306
10/5/2023Added the ability to order a Printed Reward Link using GET {URI}/lineItems when you Get a list of line items and GET {URI}/lineItems/{referenceLineItemID} when you Get details for a specific line item .API-305
9/28/2023Added the ability to modify the recipient address object to be included in all returning payloads of line items, as well as in any query parameters that can filter and search the recipient information.API-290
9/27/2023Added ptid to GET {URI}/ordersso you can get the list of Printed Reward Link orders.API-304
9/26/2023Added ptid to POST {URI}/orders so you can create Printed Reward Link orders.API-303
9/15/2023Added orderNotes GET {URI}/lineItems to see your order notes in both API and in theTango portal line items history.API-295
9/15/2023Added purchaseOrderNumber to order and line items. You are now able to include a PO Number when creating an order.API-291
8/18/2023Added filters for one or more currencies when using the exchange rate endpoint.API-282
6/16/2023Added OAuth authentication.
5/1/2023Added query parameters to "Get a list of Orders" and added pagination to "Get a list of Accounts".
12/22/2022Exposed the GET /credentialtypes endpoint on the Test Console.
12/21/2022Added line items endpoints:
  • GET {URI}/lineItems to get a list of line items in the platform.
  • GET {URI}/lineItems/{referenceLineItemID}to get details for a specific line item.
  • POST {URI}/lineItems/{referenceLineItemId}/resends to resend a specific line item.
8/23/2021Added GET /catalogs endpoint filters for utid, brandKey, currencyCode and country.
1/14/2021Added API Reference to primary drop down.
7/15/2019Added Glossary to the API documentation. (work in progress)
11/29/2018Removed non-active cards from GET creditCards default response. Must use "?showInactive=true" to see inactive cards.
11/1/2018Added Managing Email Templates for new API endpoints.
8/6/2018Added note to clarify 4 digit security code require for Amex for test environment funding.
7/19/2018Added credentialType to improve reward credential parsing.
4/18/2018Added XSS and malicious behavior prevention note.
4/12/2018Added SSL cert examples.
4/6/2018Added email receipts information in Funding.
3/29/2018Returned ETID in the API order response. Without a custom template defined, Tango default template ID: E000000 is returned.
3/29/2018Included i18nKey in error responses which serves as a unique error code to facilitate international translations.
2/28/2018Added clarification regarding how "Pending funding" status works. Provided $5.55 and $6.55 test amounts in sandbox.
1/23/2018Updated: Group in Tango portal is calledCustomer in API.

© 2026 Tango API are provided by Tango, a division of BHN, Inc.